curl --request POST \
--url https://api.fabric.inc/v3/lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"name": "list1",
"userId": "user1",
"attributes": {
"key": "value"
},
"listType": "type1",
"notes": "note11"
}
'import requests
url = "https://api.fabric.inc/v3/lists"
payload = {
"name": "list1",
"userId": "user1",
"attributes": { "key": "value" },
"listType": "type1",
"notes": "note11"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'list1',
userId: 'user1',
attributes: {key: 'value'},
listType: 'type1',
notes: 'note11'
})
};
fetch('https://api.fabric.inc/v3/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/lists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'list1',
'userId' => 'user1',
'attributes' => [
'key' => 'value'
],
'listType' => 'type1',
'notes' => 'note11'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-channel-id: <x-fabric-channel-id>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/lists"
payload := strings.NewReader("{\n \"name\": \"list1\",\n \"userId\": \"user1\",\n \"attributes\": {\n \"key\": \"value\"\n },\n \"listType\": \"type1\",\n \"notes\": \"note11\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("x-fabric-channel-id", "<x-fabric-channel-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/lists")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("x-fabric-channel-id", "<x-fabric-channel-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"list1\",\n \"userId\": \"user1\",\n \"attributes\": {\n \"key\": \"value\"\n },\n \"listType\": \"type1\",\n \"notes\": \"note11\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/lists")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["x-fabric-channel-id"] = '<x-fabric-channel-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"list1\",\n \"userId\": \"user1\",\n \"attributes\": {\n \"key\": \"value\"\n },\n \"listType\": \"type1\",\n \"notes\": \"note11\"\n}"
response = http.request(request)
puts response.read_body{
"name": "list1",
"userId": "user1",
"attributes": {
"key": "value"
},
"createdAt": "2022-11-22T10:26:38Z",
"itemCount": 1,
"listId": "62fa3796841ea417fa71d2a9",
"listType": "type1",
"notes": "note11",
"updatedAt": "2022-11-22T10:26:38Z"
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "List not found",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Create shopping list
Shoppers often choose to save their desired products in shopping lists to purchase later when they are ready or to take advantage of discounts when they are available.
This endpoint creates a new shopping list. The response includes a list ID, which is required for subsequent calls to get, update, or delete this shopping list.
Note: Items can’t be added when the shopping list is initially created. To add items, use the Add items to list endpoint - POST /lists/{listId}/actions/add-or-update-list-items.
curl --request POST \
--url https://api.fabric.inc/v3/lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"name": "list1",
"userId": "user1",
"attributes": {
"key": "value"
},
"listType": "type1",
"notes": "note11"
}
'import requests
url = "https://api.fabric.inc/v3/lists"
payload = {
"name": "list1",
"userId": "user1",
"attributes": { "key": "value" },
"listType": "type1",
"notes": "note11"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'list1',
userId: 'user1',
attributes: {key: 'value'},
listType: 'type1',
notes: 'note11'
})
};
fetch('https://api.fabric.inc/v3/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/lists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'list1',
'userId' => 'user1',
'attributes' => [
'key' => 'value'
],
'listType' => 'type1',
'notes' => 'note11'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-channel-id: <x-fabric-channel-id>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/lists"
payload := strings.NewReader("{\n \"name\": \"list1\",\n \"userId\": \"user1\",\n \"attributes\": {\n \"key\": \"value\"\n },\n \"listType\": \"type1\",\n \"notes\": \"note11\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("x-fabric-channel-id", "<x-fabric-channel-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/lists")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("x-fabric-channel-id", "<x-fabric-channel-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"list1\",\n \"userId\": \"user1\",\n \"attributes\": {\n \"key\": \"value\"\n },\n \"listType\": \"type1\",\n \"notes\": \"note11\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/lists")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["x-fabric-channel-id"] = '<x-fabric-channel-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"list1\",\n \"userId\": \"user1\",\n \"attributes\": {\n \"key\": \"value\"\n },\n \"listType\": \"type1\",\n \"notes\": \"note11\"\n}"
response = http.request(request)
puts response.read_body{
"name": "list1",
"userId": "user1",
"attributes": {
"key": "value"
},
"createdAt": "2022-11-22T10:26:38Z",
"itemCount": 1,
"listId": "62fa3796841ea417fa71d2a9",
"listType": "type1",
"notes": "note11",
"updatedAt": "2022-11-22T10:26:38Z"
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "List not found",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Authorizations
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
Body
Details to create shopping list
Response
Created
Shopping list details
Was this page helpful?
